/*****************************************************************************
 *                     Yumetech, Inc Copyright (c) 2004-2005
 *                               Java Source
 *
 * This source is licensed under the GNU LGPL v2.1
 * Please read http://www.gnu.org/copyleft/lgpl.html for more information
 *
 * This software comes with the standard NO WARRANTY disclaimer for any
 * purpose. Use it at your own risk. If there's a problem you get to fix it.
 *
 ****************************************************************************/

package org.j3d.aviatrix3d;

// External imports
// None

// Local imports
// None

/**
 * Base representation of the functionality common across the various shader
 * types that can be applied to geometry.
 * <p>
 *
 *
 * @author Justin Couch
 * @version $Revision: 1.10 $
 */
public abstract class Shader extends NodeComponent
    implements RenderableObject
{
    /**
     * Constructs a Shader with default values.
     */
    public Shader()
    {
    }

    //---------------------------------------------------------------
    // Methods defined by NodeComponent
    //---------------------------------------------------------------

    /**
     * Get the {@link Renderable} instance needed to process this object for
     * the given buffer ID.
     *
     * @param bufferId The ID of the buffer for the renderable to encapsulate
     * @return The renderable object, or null if nothing to render
     */
    public Renderable getRenderable(int bufferId)
    {
        return this;
    }
}
